# Iconify Icons

Allows users to add high-quality, optimized SVG icons into their projects, through the
integration with <a href="https://iconify.design/">Iconify</a> API.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/iconify_icons).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/search/iconify_icons).


## Table of contents

- Requirements
- Installation
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install it like any other module via drush.
```bash
drush en iconify_icons
```


## Code Quality (JS)

You have the capability to execute ESLint and Prettier on this module. Simply
follow these steps:

- Install the needed packages

```bash
yarn install
```

- Lint JS files to find errors

```bash
yarn lint:js
```

- Run Prettier script to fix errors

```bash
yarn prettier
```


## Maintainers

- David Galeano - [gxleano](https://www.drupal.org/u/gxleano)
- Alvaro Hurtado - [alvar0hurtad0](https://www.drupal.org/u/alvar0hurtad0)
